## org.eclipse.jst.jsf.facesconfig.emf
Interface ListEntriesType

All Known Implementing Classes:
  ListEntriesTypeImpl

    public interface ListEntriesType

A representation of the model object 'List Entries Type'.

The following features are supported:

- `Value Class`
- `Null Value`
- `Value`
- `Id`

See Also:
  `FacesConfigPackage.getListEntriesType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getNullValue()` Returns the value of the 'Null Value' containment reference list.
`EList` `getValue()` Returns the value of the 'Value' containment reference list.
`ValueClassType` `getValueClass()` Returns the value of the 'Value Class' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setValueClass(ValueClassType value)` Sets the value of the '`Value Class`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getValueClass

    ValueClassType getValueClass()

  Returns the value of the 'Value Class' containment reference.

  If the meaning of the 'Value Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Class' containment reference.
  See Also:
    `setValueClass(ValueClassType)`, `FacesConfigPackage.getListEntriesType_ValueClass()`

### setValueClass

    void setValueClass(ValueClassType value)

  Sets the value of the '`Value Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Class' containment reference.
  See Also:
    `getValueClass()`

### getNullValue

    EList getNullValue()

  Returns the value of the 'Null Value' containment reference list. The list contents are of type `NullValueType`.

  If the meaning of the 'Null Value' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Value' containment reference list.
  See Also:
    `FacesConfigPackage.getListEntriesType_NullValue()`

### getValue

    EList getValue()

  Returns the value of the 'Value' containment reference list. The list contents are of type `ValueType`.

  If the meaning of the 'Value' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference list.
  See Also:
    `FacesConfigPackage.getListEntriesType_Value()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getListEntriesType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`